/* FSLinks.h
Defines the junction point manipulation routines
(C) 2002 Niall Douglas under the GNU General Public Licence and (C) 2000 Mikael Nordell (tamlin@algonet.se)
*/

#define _WIN32_WINNT 0x500
#include "windows.h"

#ifndef ERROR_INVALID_REPARSE_DATA
//  The data present in the reparse point buffer is invalid.
#define ERROR_INVALID_REPARSE_DATA       4392L
#endif

#ifndef ERROR_INVALID_REPARSE_DATA
//  The tag present in the reparse point buffer is invalid.
#define ERROR_REPARSE_TAG_INVALID        4393L
#endif

#ifndef ERROR_INVALID_REPARSE_DATA
//  There is a mismatch between the tag specified in the request and the tag present in the reparse point.
#define ERROR_REPARSE_TAG_MISMATCH       4394L
#endif

extern "C" {

BOOL CreateJunctionPoint(LPCTSTR szMountDir, LPCTSTR szDestDir);
BOOL DeleteJunctionPoint(LPCTSTR szMountDir);
DWORD GetJunctionPointInfo(	LPCTSTR szMountDir,
							LPTSTR  szDestBuff,
							DWORD   dwBuffSize);

}
